using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Transactions;

namespace SystemX.Net.Platform.SystemX.Net.XEFCore
{
    public static class XEFCoreTransaction
    {
        //with nolock
        public static TransactionScope CreateTransactionWithNolock()
        {
            return new TransactionScope(TransactionScopeOption.Required,
                new TransactionOptions()
                {
                    IsolationLevel = IsolationLevel.ReadUncommitted
                });
        }
    }
}
